using System.Collections;
using System.Collections.Generic;
using GameAnalyticsSDK;
using GameAnalyticsSDK.Utilities;
using TouchyTickets;

namespace iOS {
    public class IosPlatform : Platform {

        public override void SetupAds() {
            throw new System.NotImplementedException();
        }

        public override void SetupAnalytics(Dictionary<string, object> json) {
            GameAnalytics.Initialize(GA_MiniJSON.JsonEncode(new Hashtable(json)));
        }

        public override void AddResourceEvent(bool sink, string currency, float amount, string itemType, string itemId) {
            GameAnalytics.NewResourceEvent(sink ? GAResourceFlowType.Sink : GAResourceFlowType.Source, currency, amount, itemType, itemId);
        }

    }
}